nuget-repository:
  stage: test
  image: mcr.microsoft.com/dotnet/core/sdk:3.1
  script:
    - apt-get update > /dev/null
    - apt-get install gettext-base -y > /dev/null
    - cd nuget-repository
    - dotnet new console --name TestPackage
    - cd TestPackage
    - dotnet pack -p:Version=1.0.0+${CI_JOB_ID}
    - <../nuget.config.template envsubst > nuget.config
    - cat nuget.config
    - dotnet nuget push bin/Debug/TestPackage.1.0.0.nupkg --source gitlab

nuget-deploy:
  stage: deploy
  image: mcr.microsoft.com/dotnet/core/sdk:3.1
  script:
    - apt-get update > /dev/null
    - apt-get install gettext-base -y > /dev/null
    - mkdir -p .nuget/packages
    - cd nuget-repository
    - dotnet new console --name Target
    - cd Target
    - if [ "x${GROUP_ID_FOR_CI}" = "x" ]; then echo "Please set variable GROUP_ID_FOR_CI populated with the parent group ID" && /bin/false ; fi
    - dotnet nuget add source "$CI_API_V4_URL/groups/${GROUP_ID_FOR_CI}/-/packages/nuget/index.json" --name gitlabgroup --username "gitlab-ci-token" --password "$CI_JOB_TOKEN" --store-password-in-clear-text
    - dotnet nuget disable source nuget.org
    - dotnet nuget list source
    - dotnet add package TestPackage --package-directory ../../.nuget/packages
